## gate.swing
Class JTreeTable.TreeTableCellEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--javax.swing.DefaultCellEditor
                  |
                  +--gate.swing.JTreeTable.TreeTableCellEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor, TreeCellEditor

Enclosing class:
  JTreeTable

class JTreeTable.TreeTableCellEditor
extends DefaultCellEditor
implements TableCellEditor

The editor used to edit the nodes in the tree. It only forwards the requests to the tree's editor.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary
`(package private) TreeCellEditor` `editor`
`(package private) Component` `editorComponent`

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`(package private)` `JTreeTable.TreeTableCellEditor()`

Method Summary
`void` `cancelCellEditing()`
`Object` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`
`boolean` `stopCellEditing()`

Methods inherited from class javax.swing.DefaultCellEditor
`getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, removeCellEditorListener`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, isCellEditable, removeCellEditorListener, shouldSelectCell`

Field Detail

### editor

    TreeCellEditor editor

### editorComponent

    Component editorComponent

Constructor Detail

### JTreeTable.TreeTableCellEditor

    JTreeTable.TreeTableCellEditor()

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`
  Overrides:
    `getTableCellEditorComponent` in class `DefaultCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `DefaultCellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `CellEditor`
  Overrides:
    `stopCellEditing` in class `DefaultCellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`
  Overrides:
    `cancelCellEditing` in class `DefaultCellEditor`